%define name faad2
%define version 2.5
%define rel 3
%define release %mkrel %rel
%define major 0

%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)
%define distsuffix plf
%if %mdkversion <= 900
%define libname lib%{name}_%{major}
%else
%define libname %mklibname %{name}_ %major
%endif

# without = enabled by default
%bcond_without mpeg4ip

Summary: Freeware Advanced Audio Decoder version 2
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch: faad2-20050201-configure.patch.bz2
Patch1: faad2-2.5-no-bmp.patch.bz2
Patch4: faad2-2.5-mp4ff-fpic.patch.bz2
Patch5: faad2-2.5.1-mpeg4ip.patch.bz2
Patch6: faad2-2.5.1-mpeg4ip-configure.patch.bz2
URL:	 http://www.audiocoding.com
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libsndfile-devel
BuildRequires: libxmms-devel
BuildRequires: libid3lib-devel
BuildRequires: dos2unix
BuildRequires: automake1.8
BuildRequires: SDL-devel
%if %with mpeg4ip
BuildRequires: libmpeg4ip-devel >= 1.5.0.1-3.1
%endif
Epoch:	       1

%description
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package is in PLF because MPEG is covered by software patents.

%package -n %libname
Summary: Freeware Advanced Audio Decoder shared library
Group: System/Libraries

%description -n %libname
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the shared library needed by programs linked to
libfaad.

This package is in PLF because MPEG is covered by software patents.

%package -n %libname-devel
Summary: Freeware Advanced Audio Decoder development files
Group: Development/C++
Requires: %libname = %epoch:%version
Provides: lib%{name}-devel  = %epoch:%version-%release

%description -n %libname-devel
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the C++ headers needed to build programs with
libfaad.

This package is in PLF because MPEG is covered by software patents.

%package -n %libname-static-devel
Summary: Freeware Advanced Audio Decoder static libraries
Group: Development/C++
Requires: %libname-devel = %epoch:%version
Provides: lib%{name}-static-devel  = %epoch:%version-%release

%description -n %libname-static-devel
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder,
completely written from scratch. FAAD 2 is licensed under the GPL.

This package contains the static libraries needed to build programs
with libfaad.

This package is in PLF because MPEG is covered by software patents.

%package xmms
Group: Sound
Summary: AAC input plugin for xmms
Requires: xmms

%description xmms
This is an AAC input plugin for xmms. AAC files are recognized by an
.aac extension.

This package is in PLF because MPEG is covered by software patents.

%if %with mpeg4ip
%package mpeg4ip
Group: Sound
Summary: AAC input plugin for mpeg4ip
Requires: mpeg4ip

%description mpeg4ip
This is an AAC input plugin for mpeg4ip. AAC files are recognized by an
.aac extension.

This package is in PLF because MPEG is covered by software patents.
%endif

%prep
%setup -q  -n %name
dos2unix configure.in frontend/main.c common/mp4ff/mp4ffint.h common/mp4ff/Makefile.am
mkdir plugins/bmp
%patch -p0
%patch1 -p1 -b .bmp
%patch4 -p1 -b .fpic
%patch5 -p1 -b .mpeg4ip
%patch6 -p1 -b .mpeg4ip_configure
chmod 644 AUTHORS README TODO NEWS ChangeLog plugins/xmms/README
export WANT_AUTOCONF_2_5=1
aclocal-1.8 -I .
autoheader
libtoolize --automake --copy
automake-1.8 -a -c
autoconf

%build
%configure2_5x --with-xmms \
%if %with mpeg4ip
	--with-mpeg4ip
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
#manual installation of libmp4ff
cd common/mp4ff
install -m 644 .libs/libmp4ff.a %buildroot/%_libdir
install -m 644 mp4ff.h mp4ff_int_types.h %buildroot/%_includedir
cd ../..
 
#remove unneeded files
rm -f %buildroot%_libdir/xmms/Input/*a
#clean libtool files

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README NEWS TODO AUTHORS ChangeLog
%_bindir/faad

%files -n %libname
%defattr(-,root,root)
%_libdir/libfaad.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/libfaad.so
%_libdir/libfaad.la
%_includedir/*

%files -n %libname-static-devel
%defattr(-,root,root)
%_libdir/libfaad.a
%_libdir/libmp4ff.a

%files xmms
%defattr(-,root,root)
%doc plugins/xmms/README
%_libdir/xmms/Input/libmp4.so

%if %with mpeg4ip
%files mpeg4ip
%defattr(-,root,root)
%_libdir/mp4player_plugin/*
%endif

%changelog
* Thu Oct 26 2006 Gtz Waschk <goetz@zarb.org> 1:2.5-3plf2007.1
- readd libmp4ff  and headers

* Tue Oct 24 2006 Anssi Hannula <anssi@zarb.org> 1:2.5-2plf2007.1
- standardize PLF reason
- add mpeg4ip build switch for bootstrapping
- fix buildrequires
- from joeghi:
  o fixed building with mpeg4ip 1.5.0.1 (added Patch5, adapted from PLD's faad2-2.0 and Patch6)
  o added mpeg4ip subpackage

* Sun Aug 13 2006 Gtz Waschk <goetz@zarb.org> 1:2.5-1plf2007.0
- fix build
- rediff patch 4
- drop merged patches 2,3
- new version

* Mon Jul 31 2006 Gtz Waschk <goetz@zarb.org> 21:.1-0.20050201.4plf2007.0
- remove menu

* Thu Oct  6 2005 Anssi Hannula <anssi@zarb.org> 2.1-0.20050201.3plf
- fix build on x86_64 (patch4)
- add mkrel distsuffix

* Sun Jul 10 2005 Stefan van der Eijk <stefan@eijk.nu> 2.1-0.20050201.2plf
- add gcc4 patch

* Mon May  2 2005 Gtz Waschk <goetz@zarb.org> 2.1-0.20050201.1plf
- small build patch
- new snapshot

* Sat Apr 23 2005 Gtz Waschk <goetz@zarb.org> 2.1-0.20040915.1plf
- drop mp4v2
- new version

* Sat Feb  5 2005 Gtz Waschk <goetz@zarb.org> 2.0-7plf
- add missing headers

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 2.0-6plf
- fix URL

* Thu Jul 22 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0-5plf
- update descriptions
- add menu entry for the xmms plugin

* Tue Jun  8 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0-4plf
- fix patch 1

* Mon Jun  7 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0-3plf
- fix devel provides
- patch for new g++

* Thu Apr  8 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0-2plf
- fix devel deps

* Mon Feb  9 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0-1plf
- remove the aac plugin
- patch broken makefile
- new version

* Mon Jan  5 2004 Gtz Waschk <goetz@plf.zarb.org> 2.0-0.rc3.2plf
- fix build on 9.1
- use the mdkversion macro

* Thu Nov 13 2003 Gtz Waschk <goetz@plf.zarb.org> 2.0-0.rc3.1plf
- drop prefix
- update file list
- fix build
- fix buildrequires
- drop patches
- mklibname macro
- new version

* Fri Jul 11 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1-6plf
- rebuild for new rpm

* Sun Apr 13 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1-5plf
- fix buildrequires
- new id3lib

* Wed Jan 15 2003 Gtz Waschk <goetz@plf.zarb.org> 1.1-4plf
- split out static-devel package

* Mon Nov 25 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.1-3plf
- rebuild with new id3lib

* Mon Nov  4 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.1-2plf
- fix id3lib buildrequires
- update patch1 (Jose Antonio Becerra Permuy <ronin@mail2.udc.es>)

* Thu Aug 22 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.1-1plf
- patch for xmms plugin makefile
- package xmms plugin
- merge with mp4v2 package
- tiny patch for final libsndfile api
- drop all old patches
- new libsndfile 1
- autoconf 2.5
- epoch 1
- new version

* Fri Aug 16 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20020126-3plf
- gcc 3.2-0.3mdk rebuild

* Mon Jul 29 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20020126-2plf
- gcc 3.2 build
- quick fix to work around libtool problem

* Wed Jul 24 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 20020126-1plf
- initial package
